Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"abe8f543-127c-42e8-9e2c-b68b43cb8dfc","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["2c7b4e77-ca35-4f68-8af3-2c8b3dbc6aca"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"98e14bcb-347d-4f6f-8291-99825f4da526","url":null,"userId":"98248b45-ddf2-493b-9ee8-5a89847efde6","userUrl":null,"categoryId":"57f0b381-b5c9-4812-9e70-7397b4865e54","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-24T07:48:27.7365008+00:00","lastModifiedDateTime":"2026-04-25T03:48:27.7365008+00:00","availableFrom":"2026-04-25T07:48:27","startDateTimeZone":null,"availableUntil":"2026-04-26T07:48:27","endDateTimeZone":null,"medias":[{"id":"c9d3bc7c-bf54-4b44-9e20-7d9cf73998de","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"df1717bb-8b8a-447e-80bb-7a994e4a6937","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"d60db751-9820-4282-8f16-eed8c617f306","url":null},{"type":"Department","name":"Department name example","id":"f4e3dde4-44f6-44c7-9dfa-43ecafe7e2ce","url":null},{"type":"User group","name":"User group name example","id":"d0f6c672-6499-4b06-b05d-c16ecda5bba4","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"5ba1fbab-418a-43be-a15c-2347e21ba4bd"}],"userGroups":[{"url":null,"name":"User group name example","id":"0cd70f88-f177-4e8f-b381-b9efb7180931"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string